---
raw: true
search:
  tags:
    - Domains
    - POST
seo:
  description: >-
    Checks domain availability in one batch. Set mode to live for current…
    Reference for the POST /v1/domains/research/availability endpoint in the
    Spacefast API.
sidebar:
  label: Check availability for many domains
  badge: POST
title: Check availability for many domains
type: openapi-operation
---
Checks domain availability in one batch. Set mode to live for current registry results and prices, as in the single-domain check. The default mode uses older zone-file data without prices. Use live results for purchase selection. Purchase checks availability again.

`POST /v1/domains/research/availability`

**Request body** (`application/json`, required)

- `teamId` (string) — Optional team context. Requires access to the team.
- `names` (string[])
- `domains` (string[])

Request body example:

```json
{
  "teamId": "string",
  "names": [
    "string"
  ],
  "domains": [
    "string"
  ]
}
```

**Responses**

- `200` — Response for status 200
- `default` — Problem details (RFC 9457). Any 4xx/5xx response is one \`application/problem+json\` document.

Response example, 200:

```json
{
  "$schema": "http://example.com",
  "data": {
    "domains": {
      "property1": {
        "domain": "string",
        "available": true,
        "supportedForPurchase": true,
        "purchasable": true,
        "connectable": true,
        "price": {
          "amount": 0,
          "formatted": "string",
          "currency": "USD"
        },
        "premium": true,
        "status": "available",
        "source": "dsapi",
        "checkedAt": "string",
        "error": "string"
      },
      "property2": {
        "domain": "string",
        "available": true,
        "supportedForPurchase": true,
        "purchasable": true,
        "connectable": true,
        "price": {
          "amount": 0,
          "formatted": "string",
          "currency": "USD"
        },
        "premium": true,
        "status": "available",
        "source": "dsapi",
        "checkedAt": "string",
        "error": "string"
      }
    },
    "results": [
      {
        "domain": "string",
        "available": true,
        "supportedForPurchase": true,
        "purchasable": true,
        "connectable": true,
        "price": {
          "amount": 0,
          "formatted": "string",
          "currency": "USD"
        },
        "premium": true,
        "status": "available",
        "source": "dsapi",
        "checkedAt": "string",
        "error": "string"
      }
    ]
  }
}
```
